#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls;
using Syncfusion.Tools.Controls;
using Syncfusion.Tools.Controls.Notification;
using System.Collections.ObjectModel;

namespace SfHubTile
{
    /// <summary>
    /// Interaction logic for HubTileDemo.xaml
    /// </summary>
    public partial class HubTileDemo : UserControl
    {
        public HubTileDemo()
        {
            InitializeComponent();
          this.Loaded += HubTileDemo_Loaded;
        }

        void HubTileDemo_Loaded(object sender, RoutedEventArgs e)
        {
            hubtile.Interval = TimeSpan.FromSeconds(3.0);
            hubtile1.Interval = TimeSpan.FromSeconds(3.0);
            hubtile2.Interval = TimeSpan.FromSeconds(3.0);
            hubtile3.Interval = TimeSpan.FromSeconds(3.0);
        }

        private HubTileTransitionCollection collection = new HubTileTransitionCollection();

        private SlideTransition slidetransition = new SlideTransition();

        private RotateTransition rotatetransition = new RotateTransition();

        private FadeTransition fadetransition = new FadeTransition();

        private void hubtile_Loaded_1(object sender, RoutedEventArgs e)
        {
            hubtile.Interval = TimeSpan.FromSeconds(3.0);
            hubtile.HubTileTransitions = collection;
        }

        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (((ComboBox)sender).SelectedItem.ToString() == "FadeTransition")
            {
                if (collection.Contains(slidetransition))
                    collection.Remove(slidetransition);

                if (collection.Contains(rotatetransition))
                    collection.Remove(rotatetransition);

                collection.Add(fadetransition);
            }
            else if (((ComboBox)sender).SelectedItem.ToString() == "SlideTransition")
            {
                if (collection.Contains(fadetransition))
                    collection.Remove(fadetransition);

                if (collection.Contains(rotatetransition))
                    collection.Remove(rotatetransition);

                collection.Add(slidetransition);
            }
            else
            {
                if (collection.Contains(slidetransition))
                    collection.Remove(slidetransition);

                if (collection.Contains(fadetransition))
                    collection.Remove(fadetransition);

                collection.Add(rotatetransition);
            }
        }

        private void hubtile_Loaded_2(object sender, RoutedEventArgs e)
        {
            hubtile1.Interval = TimeSpan.FromSeconds(3.0);
            hubtile1.HubTileTransitions = collection;
        }

        private void hubtile_Loaded_3(object sender, RoutedEventArgs e)
        {
            hubtile2.Interval = TimeSpan.FromSeconds(3.0);
            hubtile2.HubTileTransitions = collection;
        }

        private void hubtile_Loaded_4(object sender, RoutedEventArgs e)
        {
            hubtile3.Interval = TimeSpan.FromSeconds(3.0);
            hubtile3.HubTileTransitions = collection;
        }

       
       
    }
    public class Custom : Panel
    {
        protected override Size MeasureOverride(Size availableSize)
        {
            return base.MeasureOverride(availableSize);
        }
        protected override Size ArrangeOverride(Size finalSize)
        {

            int count = this.Children.Count;
            double width = finalSize.Width / 3;
            double height = finalSize.Height / 3;

            double xposition = 0;
            double yposition = 0;
           
            double elementwidth = 150;
            double Xwidth = 0;
            for (int i = 0; i < count; i++)
            {
                switch (i)
                {
                    case 0:
                        xposition = xposition * 0;
                        yposition = 0;
                        break;
                    case 1:
                        xposition = width * 1;
                        yposition = 0;
                        break;
                    case 2:
                        Xwidth = 0;
                        xposition = width * 1;
                        yposition = 160;
                        break;
                    case 3:

                        xposition = width * 2;
                        yposition = 160;
                        break;
                }
                Children[i].Arrange(new Rect(Xwidth, yposition, 200, 200));
                Xwidth = Xwidth + (elementwidth + 10);
               
            }

            return base.ArrangeOverride(finalSize);

        }

    }

   
}
